Package com.avaya.clientservices.media.gui

## Class MultiTouchGestureAdapter

- java.lang.Object
- - com.avaya.clientservices.media.gui.MultiTouchGestureAdapter

- All Implemented Interfaces:
    `MultiTouchGestureListener`

      public class MultiTouchGestureAdapter
      extends java.lang.Object
      implements MultiTouchGestureListener

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MultiTouchGestureAdapter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onTouchCancel​(double time)`
    `boolean` | `onTouchDown​(double time, float x, float y)`
    `void` | `onTouchMove​(double time, float x, float y)`
    `void` | `onTouchScaleBegan​(double time)`
    `void` | `onTouchScaleChanged​(double time, float scale)`
    `void` | `onTouchScaleEnded​(double time)`
    `void` | `onTouchTransfer​(double time, float dx, float dy)`
    `void` | `onTouchUp​(double time, float x, float y)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiTouchGestureAdapter

          public MultiTouchGestureAdapter()

  - ### Method Detail

    - #### onTouchDown

          public boolean onTouchDown​(double time,
                                     float x,
                                     float y)

      Specified by:
        `onTouchDown` in interface `MultiTouchGestureListener`

    - #### onTouchMove

          public void onTouchMove​(double time,
                                  float x,
                                  float y)

      Specified by:
        `onTouchMove` in interface `MultiTouchGestureListener`

    - #### onTouchUp

          public void onTouchUp​(double time,
                                float x,
                                float y)

      Specified by:
        `onTouchUp` in interface `MultiTouchGestureListener`

    - #### onTouchCancel

          public void onTouchCancel​(double time)

      Specified by:
        `onTouchCancel` in interface `MultiTouchGestureListener`

    - #### onTouchTransfer

          public void onTouchTransfer​(double time,
                                      float dx,
                                      float dy)

      Specified by:
        `onTouchTransfer` in interface `MultiTouchGestureListener`

    - #### onTouchScaleBegan

          public void onTouchScaleBegan​(double time)

      Specified by:
        `onTouchScaleBegan` in interface `MultiTouchGestureListener`

    - #### onTouchScaleChanged

          public void onTouchScaleChanged​(double time,
                                          float scale)

      Specified by:
        `onTouchScaleChanged` in interface `MultiTouchGestureListener`

    - #### onTouchScaleEnded

          public void onTouchScaleEnded​(double time)

      Specified by:
        `onTouchScaleEnded` in interface `MultiTouchGestureListener`